#pragma once

#include "protobuf/load_protobuf.hpp"
#include "tof3d_config.pb.h"
#include "vzense/device_tof3d.h"
#include "error_code/error_code.hpp"

#include "communication/rabbitmq_communication.h"
class tof3dManager {
public:
    tof3dManager() = default;
    ~tof3dManager() = default;

    Error_manager init();
protected:

private:
    tof3dManagerParams m_tof_etc;
};
